
/* $Id$ */

#ifndef PARROT_OPLIB_CORE_OPS_H_GUARD
#define PARROT_OPLIB_CORE_OPS_H_GUARD


/* ex: set ro:
 * !!!!!!!   DO NOT EDIT THIS FILE   !!!!!!!
 *
 * This file is generated automatically from 'src/ops/core.ops' (and possibly other
 * .ops files). by ops2c.nqp.
 *
 * Any changes made here will be lost!  To regenerate this file after making
 * changes to any ops, use the bootstap-ops makefile target.
 *
 */

#include "parrot/parrot.h"
#include "parrot/oplib.h"
#include "parrot/runcore_api.h"

PARROT_EXPORT
op_lib_t *Parrot_DynOp_core_2_7_0(PARROT_INTERP, long init);

 opcode_t * Parrot_end(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_noop(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_check_events(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_check_events__(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_wrapper__(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_load_bytecode_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_load_bytecode_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_load_language_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_load_language_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_branch_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_branch_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_local_branch_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_local_branch_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_local_return_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_jump_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_jump_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_enternative(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_if_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_if_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_if_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_if_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unless_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unless_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unless_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unless_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_invokecc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_invoke_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_yield(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_tailcall_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_returncc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_capture_lex_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_newclosure_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_args_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_params_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_returns_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_results_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_result_info_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_result_info_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_result_info_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_addr_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_addr_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_addr_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_addr_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_schedule_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_addhandler_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_push_eh_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_push_eh_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_pop_eh(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_throw_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_throw_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_rethrow_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_count_eh_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_die_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_die_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_die_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_die_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_die_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_die_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_die_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_die_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_exit_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_exit_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_debug_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_debug_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_bounds_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_bounds_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_profile_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_profile_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_trace_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_trace_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_gc_debug_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_gc_debug_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_interpinfo_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_interpinfo_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_interpinfo_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_interpinfo_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_interpinfo_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_interpinfo_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_warningson_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_warningson_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_warningsoff_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_warningsoff_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_errorson_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_errorson_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_errorsoff_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_errorsoff_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_runinterp_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_runinterp_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_getinterp_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sweep_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_collect(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sweepoff(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sweepon(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_collectoff(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_collecton(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_needs_destroy_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_loadlib_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_loadlib_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_loadlib_p_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_loadlib_p_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_loadlib_p_s_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_loadlib_p_sc_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_dlfunc_p_p_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_dlfunc_p_p_sc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_dlfunc_p_p_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_dlfunc_p_p_sc_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_dlvar_p_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_dlvar_p_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_compreg_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_compreg_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_compreg_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_compreg_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_callback_p_p_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_callback_p_p_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_annotations_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_annotations_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_annotations_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_band_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_band_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_band_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_band_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_band_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_bor_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_bor_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_bor_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_bor_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_bor_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_shl_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_shl_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_shl_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_shl_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_shl_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_shr_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_shr_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_shr_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_shr_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_shr_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lsr_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lsr_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lsr_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lsr_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lsr_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_bxor_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_bxor_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_bxor_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_bxor_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_bxor_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_ic_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_i_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_n_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_nc_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_n_nc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_s_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_sc_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_s_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_p_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_p_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_p_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_p_nc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_p_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_p_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_str_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_num_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_addr_s_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_addr_sc_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_addr_s_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_addr_sc_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_eq_addr_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_ic_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_i_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_n_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_nc_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_n_nc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_s_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_sc_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_s_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_p_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_p_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_p_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_p_nc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_p_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_p_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_str_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_num_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_addr_s_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_addr_sc_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_addr_s_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_addr_sc_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ne_addr_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_ic_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_i_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_n_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_nc_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_n_nc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_s_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_sc_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_s_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_p_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_p_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_p_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_p_nc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_p_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_p_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_str_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_lt_num_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_ic_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_i_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_n_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_nc_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_n_nc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_s_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_sc_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_s_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_p_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_p_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_p_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_p_nc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_p_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_p_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_str_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_le_num_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_gt_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_gt_p_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_gt_p_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_gt_p_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_gt_p_nc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_gt_p_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_gt_p_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_gt_str_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_gt_num_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ge_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ge_p_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ge_p_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ge_p_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ge_p_nc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ge_p_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ge_p_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ge_str_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ge_num_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_if_null_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_if_null_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unless_null_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unless_null_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_nc_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_sc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_i_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_str_i_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_num_i_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_cmp_pmc_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_issame_i_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_issame_i_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_issame_i_sc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_issame_i_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_issame_i_sc_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isntsame_i_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isntsame_i_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isntsame_i_sc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isntsame_i_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isntsame_i_sc_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_istrue_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isfalse_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isnull_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isnull_i_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isnull_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isnull_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isgt_i_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isge_i_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isle_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isle_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isle_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isle_i_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isle_i_nc_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isle_i_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isle_i_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isle_i_sc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isle_i_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isle_i_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_islt_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_islt_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_islt_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_islt_i_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_islt_i_nc_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_islt_i_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_islt_i_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_islt_i_sc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_islt_i_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_islt_i_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_iseq_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_iseq_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_iseq_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_iseq_i_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_iseq_i_nc_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_iseq_i_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_iseq_i_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_iseq_i_sc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_iseq_i_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_iseq_i_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isne_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isne_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isne_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isne_i_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isne_i_nc_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isne_i_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isne_i_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isne_i_sc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isne_i_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isne_i_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_and_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_and_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_and_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_and_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_not_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_not_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_not_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_not_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_or_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_or_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_or_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_or_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_xor_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_xor_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_xor_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_xor_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_print_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_print_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_print_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_print_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_print_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_print_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_print_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_say_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_say_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_say_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_say_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_say_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_say_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_say_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_print_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_print_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_print_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_print_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_print_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_print_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_print_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_getstdin_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_getstdout_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_getstderr_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_abs_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_abs_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_abs_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_abs_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_abs_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_abs_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_n_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_n_nc_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_n_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_p_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_p_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_p_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_dec_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_dec_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_dec_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_i_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_n_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_n_nc_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_n_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_n_nc_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_p_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_p_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_div_p_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_n_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_n_nc_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_n_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_p_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_p_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fdiv_p_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ceil_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ceil_i_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ceil_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_floor_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_floor_i_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_floor_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_inc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_inc_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_inc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_n_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_n_nc_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_n_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_p_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_p_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mod_p_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_n_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_n_nc_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_n_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_p_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_p_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_mul_p_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_neg_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_neg_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_neg_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_neg_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_neg_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_neg_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_i_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_i_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_i_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_n_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_n_nc_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_n_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_p_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_p_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sub_p_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sqrt_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_callmethodcc_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_callmethodcc_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_callmethodcc_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_callmethod_p_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_callmethod_p_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_callmethod_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_tailcallmethod_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_tailcallmethod_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_tailcallmethod_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_addmethod_p_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_addmethod_p_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_can_i_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_can_i_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_does_i_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_does_i_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_does_i_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_does_i_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isa_i_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isa_i_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isa_i_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_isa_i_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_newclass_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_newclass_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_newclass_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_newclass_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_pc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_pc_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_pc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_pc_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_sc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_sc_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_s_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_subclass_p_sc_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_class_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_class_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_class_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_class_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_class_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_addparent_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_removeparent_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_addrole_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_addattribute_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_addattribute_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_removeattribute_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_removeattribute_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_getattribute_p_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_getattribute_p_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_getattribute_p_p_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_getattribute_p_p_pc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_getattribute_p_p_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_getattribute_p_p_pc_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_setattribute_p_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_setattribute_p_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_setattribute_p_p_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_setattribute_p_pc_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_setattribute_p_p_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_setattribute_p_pc_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_inspect_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_inspect_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_inspect_p_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_inspect_p_pc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_inspect_p_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_inspect_p_pc_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_s_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_sc_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_pc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_pc_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_root_new_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_root_new_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_root_new_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_root_new_p_pc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_root_new_p_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_root_new_p_pc_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_typeof_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_typeof_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_repr_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_method_p_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_method_p_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_defined_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_defined_i_p_ki(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_defined_i_p_kic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_defined_i_p_k(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_defined_i_p_kc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_exists_i_p_ki(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_exists_i_p_kic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_exists_i_p_k(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_exists_i_p_kc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_delete_p_k(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_delete_p_kc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_delete_p_ki(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_delete_p_kic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_elements_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_push_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_push_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_push_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_push_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_push_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_push_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_push_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_pop_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_pop_n_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_pop_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_pop_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unshift_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unshift_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unshift_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unshift_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unshift_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unshift_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unshift_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_shift_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_shift_n_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_shift_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_shift_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_splice_p_p_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_splice_p_p_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_splice_p_p_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_splice_p_p_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_setprop_p_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_setprop_p_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_getprop_p_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_getprop_p_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_delprop_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_delprop_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_prophash_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_freeze_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_thaw_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_thaw_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_multi_s_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_multi_sc_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_multi_s_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_add_multi_sc_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_multi_p_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_multi_p_sc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_multi_p_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_multi_p_sc_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_register_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unregister_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_box_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_box_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_box_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_box_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_box_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_box_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_iter_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_morph_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_morph_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_clone_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_clone_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_i_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_i_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_n_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_n_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_n_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_n_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_n_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_n_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_n_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_s_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_s_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_assign_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_assign_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_assign_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_assign_p_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_assign_p_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_assign_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_assign_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_assign_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_assign_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_setref_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_deref_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_ki_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_kic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_ki_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_kic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_ki_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_kic_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_ki_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_kic_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_ki_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_kic_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_ki_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_kic_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_ki_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_kic_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_i_p_ki(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_i_p_kic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_n_p_ki(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_n_p_kic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_s_p_ki(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_s_p_kic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_p_ki(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_p_kic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_k_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_kc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_k_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_kc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_k_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_kc_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_k_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_kc_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_k_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_kc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_k_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_kc_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_k_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_kc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_i_p_k(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_i_p_kc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_n_p_k(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_n_p_kc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_s_p_k(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_s_p_kc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_p_k(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_p_p_kc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_clone_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_clone_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_clone_p_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_copy_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_null_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_null_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_null_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_null_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ord_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ord_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ord_i_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ord_i_sc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ord_i_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_ord_i_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_chr_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_chr_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_chopn_s_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_chopn_s_sc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_chopn_s_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_chopn_s_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_concat_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_concat_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_concat_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_concat_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_concat_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_concat_s_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_concat_s_sc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_concat_s_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_concat_p_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_concat_p_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_concat_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_repeat_s_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_repeat_s_sc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_repeat_s_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_repeat_s_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_repeat_p_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_repeat_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_repeat_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_repeat_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_repeat_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_repeat_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_length_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_length_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_bytelength_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_bytelength_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_pin_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_unpin_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_sc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_s_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_sc_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_s_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_sc_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_s_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_sc_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_s_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_sc_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_p_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_p_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_p_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_substr_s_p_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_s_i_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_sc_i_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_s_ic_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_sc_ic_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_s_i_ic_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_sc_i_ic_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_s_ic_ic_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_sc_ic_ic_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_s_i_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_sc_i_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_s_ic_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_sc_ic_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_s_i_ic_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_sc_i_ic_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_s_ic_ic_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_replace_s_sc_ic_ic_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_index_i_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_index_i_sc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_index_i_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_index_i_sc_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_index_i_s_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_index_i_sc_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_index_i_s_sc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_index_i_sc_sc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_index_i_s_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_index_i_sc_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_index_i_s_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_index_i_sc_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sprintf_s_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sprintf_s_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sprintf_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_stringinfo_i_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_stringinfo_i_sc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_stringinfo_i_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_stringinfo_i_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_upcase_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_upcase_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_downcase_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_downcase_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_titlecase_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_titlecase_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_join_s_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_join_s_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_split_p_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_split_p_sc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_split_p_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_split_p_sc_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_charset_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_charset_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_charsetname_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_charsetname_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_charset_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_charset_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_trans_charset_s_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_trans_charset_s_sc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_trans_charset_s_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_trans_charset_s_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_encoding_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_encoding_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_encodingname_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_encodingname_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_encoding_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_encoding_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_trans_encoding_s_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_trans_encoding_s_sc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_trans_encoding_s_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_trans_encoding_s_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_is_cclass_i_i_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_is_cclass_i_ic_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_is_cclass_i_i_sc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_is_cclass_i_ic_sc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_is_cclass_i_i_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_is_cclass_i_ic_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_is_cclass_i_i_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_is_cclass_i_ic_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_i_s_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_ic_s_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_i_sc_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_ic_sc_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_i_s_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_ic_s_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_i_sc_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_ic_sc_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_i_s_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_ic_s_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_i_sc_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_ic_sc_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_i_s_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_ic_s_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_i_sc_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_cclass_i_ic_sc_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_i_s_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_ic_s_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_i_sc_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_ic_sc_i_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_i_s_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_ic_s_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_i_sc_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_ic_sc_ic_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_i_s_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_ic_s_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_i_sc_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_ic_sc_i_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_i_s_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_ic_s_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_i_sc_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_not_cclass_i_ic_sc_ic_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_escape_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_compose_s_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_compose_s_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_spawnw_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_spawnw_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_spawnw_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_err_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_err_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_err_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_err_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_time_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_time_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sleep_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sleep_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sleep_n(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_sleep_nc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_store_lex_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_store_lex_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_store_dynamic_lex_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_store_dynamic_lex_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_lex_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_lex_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_dynamic_lex_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_dynamic_lex_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_caller_lex_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_caller_lex_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_namespace_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_namespace_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_namespace_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_hll_namespace_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_hll_namespace_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_hll_namespace_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_root_namespace_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_root_namespace_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_root_namespace_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_global_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_global_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_global_p_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_global_p_pc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_global_p_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_global_p_pc_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_hll_global_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_hll_global_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_hll_global_p_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_hll_global_p_pc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_hll_global_p_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_hll_global_p_pc_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_root_global_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_root_global_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_root_global_p_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_root_global_p_pc_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_root_global_p_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_root_global_p_pc_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_global_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_global_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_global_p_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_global_pc_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_global_p_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_global_pc_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_hll_global_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_hll_global_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_hll_global_p_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_hll_global_pc_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_hll_global_p_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_hll_global_pc_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_root_global_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_root_global_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_root_global_p_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_root_global_pc_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_root_global_p_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_root_global_pc_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_name_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_name_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_sub_not_null_p_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_sub_not_null_p_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_trap(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_set_label_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_get_label_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_pc_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_p_pc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_pc_pc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_p_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_pc_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_p_pc_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_pc_pc_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_p_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_pc_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_p_ic_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_pc_ic_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_p_i_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_pc_i_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_p_ic_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_pc_ic_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_p_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_pc_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_p_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_pc_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_p_s_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_pc_s_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_p_sc_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_fetch_p_pc_sc_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_p_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_pc_p_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_p_pc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_pc_pc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_p_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_pc_p_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_p_pc_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_pc_pc_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_p_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_pc_i_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_p_ic_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_pc_ic_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_p_i_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_pc_i_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_p_ic_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_pc_ic_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_p_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_pc_s_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_p_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_pc_sc_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_p_s_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_pc_s_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_p_sc_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_vivify_p_pc_sc_pc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_s_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_sc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_s_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_sc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_pc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_new_p_pc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_root_new_p_p_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_root_new_p_pc_i(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_root_new_p_p_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_root_new_p_pc_ic(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_codepoint_i_s(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_find_codepoint_i_sc(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_finalize_p(opcode_t *, PARROT_INTERP);
 opcode_t * Parrot_finalize_pc(opcode_t *, PARROT_INTERP);


#endif /* PARROT_OPLIB_CORE_OPS_H_GUARD */


/*
 * Local variables:
 *   c-file-style: "parrot"
 *   buffer-read-only: t
 * End:
 * vim: expandtab shiftwidth=4:
 */
